Package org.drinkless.tdlib

# Class TdApi.GetChatRevenueWithdrawalUrl

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.HttpUrl>
org.drinkless.tdlib.TdApi.GetChatRevenueWithdrawalUrl

Enclosing class:
  TdApi

public static class TdApi.GetChatRevenueWithdrawalUrl extends TdApi.Function<TdApi.HttpUrl>
Returns a URL for chat revenue withdrawal; requires owner privileges in the chat. Currently, this method can be used only for channels if supergroupFullInfo.canGetRevenueStatistics == true and getOption("can_withdraw_chat_revenue").

Returns `HttpUrl`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `long`
  `chatId`
  Chat identifier.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `String`
  `password`
  The 2-step verification password of the current user.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GetChatRevenueWithdrawalUrl()`
  Default constructor for a function, which returns a URL for chat revenue withdrawal; requires owner privileges in the chat.
  `GetChatRevenueWithdrawalUrl(long chatId, String password)`
  Creates a function, which returns a URL for chat revenue withdrawal; requires owner privileges in the chat.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### chatId

    public long chatId
    Chat identifier.

  - ### password

    public String password
    The 2-step verification password of the current user.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### GetChatRevenueWithdrawalUrl

    public GetChatRevenueWithdrawalUrl()
    Default constructor for a function, which returns a URL for chat revenue withdrawal; requires owner privileges in the chat. Currently, this method can be used only for channels if supergroupFullInfo.canGetRevenueStatistics == true and getOption("can_withdraw_chat_revenue").

    Returns `HttpUrl`

  - ### GetChatRevenueWithdrawalUrl

    public GetChatRevenueWithdrawalUrl(long chatId, String password)
    Creates a function, which returns a URL for chat revenue withdrawal; requires owner privileges in the chat. Currently, this method can be used only for channels if supergroupFullInfo.canGetRevenueStatistics == true and getOption("can_withdraw_chat_revenue").

    Returns `HttpUrl`

    Parameters:
      `chatId` - Chat identifier.
      `password` - The 2-step verification password of the current user.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.HttpUrl>`
    Returns:
      this.CONSTRUCTOR